#	======================================================================
#	List of LibV source files
#	- - - - - - - - - - - - - - - - -  - - - - - - - - - - - - - - - - - -
ARCHDIR=$(ROOTDIR)/arch/$(ARCH)
X86DIR=$(ROOTDIR)/arch/x86

ATD=$(ROOTDIR)/source/algorith
PAL=$(ROOTDIR)/source/PAL
TAL=$(ROOTDIR)/source/TAL
GEOM=$(ROOTDIR)/source/geom
INPUT=$(ROOTDIR)/source/input
MATH=$(ROOTDIR)/source/math
VFS=$(ROOTDIR)/source/vfs
VFS_DRV=$(VFS)/drivers
GL=$(ROOTDIR)/source/vidgl

SRC_INTEL=$(X86DIR)/x86util.$(S)

SRC=\
	$(ARCHDIR)/../common/c_misc.$(LANG) \
	$(ARCHDIR)/../common/winlib.$(LANG) \
	$(ARCHDIR)/../common/vglext.$(LANG) \
	$(ARCHDIR)/tick_cnt.$(LANG) \
	$(ARCHDIR)/io.$(LANG) \
	$(ARCHDIR)/amutex.$(LANG) \
	$(ARCHDIR)/ipcpipe.$(LANG) \
	$(ARCHDIR)/winlib.$(LANG) \
	$(ARCHDIR)/glcore.$(LANG) \
	$(ARCHDIR)/glload.$(LANG) \
	$(ARCHDIR)/misc.$(LANG) \
	\
	$(ATD)/fifo.$(LANG) \
	$(ATD)/stack.$(LANG) \
	$(ATD)/tree.$(LANG) \
	\
	$(PAL)/commport.$(LANG) \
	$(PAL)/dataman.$(LANG) \
	$(PAL)/metafile.$(LANG) \
	$(PAL)/sched.$(LANG) \
	$(PAL)/vtimer.$(LANG) \
	$(PAL)/vidgl.$(LANG) \
	$(PAL)/wavein.$(LANG) \
	$(PAL)/waveout.$(LANG) \
	\
	$(TAL)/bgifont.$(LANG) \
	$(TAL)/console.$(LANG) \
	$(TAL)/objbase.$(LANG) \
	$(TAL)/registry.$(LANG) \
	$(TAL)/lexer.$(LANG) \
	$(TAL)/nsl.$(LANG) \
	$(TAL)/string.$(LANG) \
	$(TAL)/hash.$(LANG) \
	$(TAL)/wavelib.$(LANG) \
	$(TAL)/rwlock.$(LANG) \
	$(TAL)/emesg.$(LANG) \
	$(TAL)/ucode.$(LANG) \
	\
	$(MATH)/rangen.$(LANG) \
	$(MATH)/math3d.$(LANG) \
	$(MATH)/matrix.$(LANG) \
	$(MATH)/planar.$(LANG) \
	$(MATH)/spatial.$(LANG) \
	$(MATH)/vector.$(LANG) \
	$(MATH)/fft4g.$(LANG) \
	$(MATH)/cspline.$(LANG) \
	$(MATH)/matrsmpl.$(LANG) \
	$(MATH)/odeint.$(LANG) \
	\
	$(GEOM)/objmesh.$(LANG) \
	$(GEOM)/dxfout.$(LANG) \
	$(GEOM)/pgrid.$(LANG) \
	$(GEOM)/plot3d.$(LANG) \
	$(GEOM)/contour.$(LANG) \
	$(GEOM)/stroke.$(LANG) \
	$(GEOM)/tlist.$(LANG) \
	\
	$(VFS_DRV)/fslist.$(LANG) \
	$(VFS_DRV)/vfscat.$(LANG) \
	$(VFS_DRV)/fspefs.$(LANG) \
	$(VFS_DRV)/fszipfs.$(LANG) \
	\
	$(VFS)/fbase.$(LANG) \
	$(VFS)/fsbase.$(LANG) \
	$(VFS)/fsops.$(LANG) \
	$(VFS)/fstree.$(LANG) \
	$(VFS)/fswrap.$(LANG) \
	$(VFS)/safeover.$(LANG) \
	$(VFS)/iobase.$(LANG) \
	$(VFS)/mbase.$(LANG) \
	$(VFS)/np_priv.$(LANG) \
	\
	$(GL)/bitmap.$(LANG) \
	$(GL)/bittrans.$(LANG) \
	$(GL)/camctl.$(LANG) \
	$(GL)/glfbsave.$(LANG) \
	$(GL)/glfdback.$(LANG) \
	$(GL)/glfont.$(LANG) \
	$(GL)/gltextur.$(LANG) \
	$(GL)/glvdraw.$(LANG) \
	\
	$(INPUT)/incodes.$(LANG)
